# Latest commit 3 days ago Git stats - preparing tarball:
# git clone https://github.com/Mange/rtl8192eu-linux-driver/tree/realtek-4.4.x
# git archive 
################################################################################
# modinfo 8192eu
# filename:       /lib/modules/5.4.15-pclos1/kernel/3rdparty/RTL8192EU/8192eu.ko.xz
# version:        v5.6.4_35685.20191108_COEX20171113-0047
# author:         Realtek Semiconductor Corp.
# description:    Realtek Wireless Lan Driver
# license:        GPL
# srcversion:     200A7F139A10A11F3B7062F


%global	module	8192eu
%global pname rtl%{module}

Name:		dkms-%{pname}
Version:	5.6.4
Release:	%mkrel 4
Source0:	%{pname}-%{version}.tar.xz
License:	GPLv2
Group:		System/Kernel and hardware
URL:		https://github.com/Mange/rtl8192eu-linux-driver
Summary:	dkms package for realtek 8192eu driver

Patch0:		%{pname}-%{version}-makefile.patch

Provides:	%{name}-%{version}
Requires: 	kernel
Requires:   gcc >= 10.2.0
Requires(post):		dkms
Requires(preun):	dkms

Obsoletes:	%{name} < %{version}-%{release}


%description
The official drivers for D-Link DWA-131 Rev E,
with patches to keep it working on newer kernels.
Works on Rosewill RNX-N180UBE v2 N300 Wireless Adapter and TP-Link TL-WN821N V6.

A kernel module for wireless network cards based on RTL8192EU chipset
+++
The official drivers for D-Link DWA-131 Rev E, with patches to keep it
working on newer kernels.
Also works on Rosewill RNX-N180UBE v2 N300 Wireless Adapter.
/*===TPLINK ID===========*/
{USB_DEVICE(0x2001, 0x3312),.driver_info = RTL8192E}, /* D-Link - DWA-131 rev C1 */
{USB_DEVICE(0x2001, 0x3319),.driver_info = RTL8192E}, /* D-Link - DWA-131 */
{USB_DEVICE(0x2357, 0x0107),.driver_info = RTL8192E}, /* TP-Link - Cameo */
{USB_DEVICE(0x2357, 0x0108),.driver_info = RTL8192E}, /* TP-Link - Cameo */
{USB_DEVICE(0x2357, 0x0109),.driver_info = RTL8192E}, /* TP-Link - Cameo */
{USB_DEVICE(0x2357, 0x0126),.driver_info = RTL8192E}, /* TP-Link TL-WN8200ND V2 */
/*=== PLANEX ===========*/
{USB_DEVICE(0x2019, 0xAB33),.driver_info = RTL8192E}, /* PLANEX - GW-300S Katana */
/*=== Customer ID ===*/
{USB_DEVICE(0x2c4e, 0x0100),.driver_info = RTL8192E}, /* Mercusys MW300UM */
{USB_DEVICE(0x2c4e, 0x0104),.driver_info = RTL8192E}, /* Mercusys MW300UH */

%prep
%setup -qn %{pname}-%{version}
find -type f -exec chmod 0644 {} \;

%apply_patches

%install
%__rm -rf %{buildroot}
%__install -dm755 %{buildroot}%{_usrsrc}/%{pname}-%{version}-%{release}
%__cp -a ./* %{buildroot}%{_usrsrc}/%{pname}-%{version}-%{release}
%__rm -f %{buildroot}%{_usrsrc}/%{pname}-%{version}-%{release}/{CONTRIBUTORS.md,LICENSE,README.md}
%__cat <<EOF > %{buildroot}%{_usrsrc}/%{pname}-%{version}-%{release}/dkms.conf
PACKAGE_NAME="%{pname}"
PACKAGE_VERSION="%{version}-%{release}"
BUILT_MODULE_NAME="rtl%{module}"
BUILT_MODULE_LOCATION[0]="./"
DEST_MODULE_LOCATION="/kernel/3rdparty/RTL8192EU"
REMAKE_INITRD="no"
AUTOINSTALL="yes"
MAKE="'make' SKIP_STACK_VALIDATION=1 all"
CLEAN="make clean"
EOF

%pre -n %{name}
sed -i '/rtl8xxxu/ d' /etc/modprobe.d/blacklist 2>&1
echo "blacklist rtl8xxxu" >> /etc/modprobe.d/blacklist 2>&1
echo "blacklist rtl8xxxu" > /etc/modprobe.d/%{pname}.conf 2>&1
echo "options %{pname} rtw_power_mgnt=0 rtw_enusbss=0" >> /etc/modprobe.d/%{pname}.conf 2>&1

%post -n %{name}
/usr/sbin/dkms --rpm_safe_upgrade add -m %{pname} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{pname} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade install -m %{pname} -v %{version}-%{release}

if [ "$1" = 1 ]; then
/sbin/rmmod rtl8xxxu > /dev/null 2>&1

/sbin/modprobe %{pname} > /dev/null 2>&1
echo "Reloading network configuration ... "
/sbin/service network reload > /dev/null 2>&1
echo "%{pname}" >> /etc/modprobe.preload 2>&1
fi

%preun -n %{name}
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{pname} -v %{version}-%{release} --all

if [ "$1" = 0 ]; then
/sbin/rmmod %{pname} > /dev/null 2>&1
echo "Reloading network configuration ... "
/sbin/service network reload > /dev/null 2>&1
sed -i '/%{pname}/ d' /etc/modprobe.preload 2>&1
sed -i '/rtl8xxxu/ d' /etc/modprobe.d/blacklist 2>&1
fi

%postun
if [ ! -f /lib/modules/*/kernel/3rdparty/RTL8192EU/* ]; then
rm -rf /lib/modules/*/kernel/3rdparty/RTL8192EU 2>&1
fi

%clean
%__rm -rf %{buildroot}

%files
%doc README.md
##CONTRIBUTORS.md LICENSE 
%defattr(-,root,root)
%{_usrsrc}/%{pname}-%{version}-%{release}

%changelog
* Wed Sep 09 2020 onkelho <oh.quait at gmail.com> - 5.6.4-4pclos2020
- rebuild, write "blacklist " in /etc/modprobe.d/blacklist

* Mon Sep 07 2020 onkelho <oh.quait at gmail.com> - 5.6.4-3pclos2020
- rebuild, 
- not write in /etc/modules
- not write "blacklist " in /etc/modprobe.d/blacklist

* Fri Aug 21 2020 onkelho <oh.quait at gmail.com> - 5.6.4-2pclos2020
- rebuild updates, fix for kernel-5.8..

* Fri Jan 31 2020 onkelho <oh.quait at gmail.com> - 5.6.4-1pclos2020
- new version 5.6.4

* Thu Jul 12 2018 onkelho <oh.quait at gmail.com> - 4.4.1-2pclos2018
- rebuild

* Sat Jun 16 2018 onkelho <oh.quait at gmail.com> 4.4.1.-1pclos2018
- initial 

